<?php

/**
 *  @file
 *  Provide helper functions for create custom pages content.
 */

/**
 * Page callback for Jivosite's custom data update.
 */
function commerce_jivosite_ajax_set_custom_data() {
	global $user;
  $result = array();

  if ($user->uid) {
    $user_orders_link = commerce_jivosite_absolute_url("/user/{$user->uid}/orders");
    $result[] = array(
      'title'   => t('Customer'),
      'content' => t('Name: !name', array('!name' => $user->name)),
      'link' => $user_orders_link,
    );
  }
  else {
    $result[] = array(
      'title'   => t('Customer'),
      'content' => t('Not logged in'),
    );
  }

  if (($cart_order = commerce_cart_order_load($user->uid))) {
    $cart_order_link = commerce_jivosite_absolute_url("/admin/commerce/orders/{$cart_order->order_id}/edit");
    $result[] = array(
      'title'   => t('Cart'),
      'content' => t('Order ID: !order_id', array('!order_id' => $cart_order->order_id)),
      'link' => $cart_order_link,
    );

    $order_wrapper = entity_metadata_wrapper('commerce_order', $cart_order);
    $currency_code = $order_wrapper->commerce_order_total->currency_code->value();
    $order_total = commerce_currency_format($order_wrapper->commerce_order_total->amount->value(), $currency_code);
    $result[] = array(
      'content' => t('Order total: !order_total', array('!order_total' => $order_total)),
      'link' => $cart_order_link,
    );
  }

  drupal_alter('commerce_jivosite_custom_data', $result);

	return array(
    '#type' => 'ajax',
    '#commands' => array(
      'command' => 'jivosite_data',
      'result'	=> $result,
    ),
  );
}

function commerce_jivosite_absolute_url($url) {
  return url($url, array('attributes' => array('target'=>'_blank'), 'absolute' => TRUE));
}
