/**
 * Ajax delivery command to send custom data to jivosite.
 */
(function($) {

Drupal.ajax.prototype.commands.jivosite_data = function (ajax, response, status) {
  if (response.result && typeof jivo_api !== 'undefined' && typeof jivo_api.setCustomData === 'function') {
    jivo_api.setCustomData(response.result);
  }
};

Drupal.behaviors.jivosite_data = {
  attach: function (context, settings) {
    // Updating user data on each page change, making sure chat is active.
    if (jivositeChatActive && typeof jivo_api !== 'undefined' && typeof jivo_api.setCustomData === 'function') {
      jivositeAjaxGetData();
    }
  }
};

})(jQuery);

function jivositeAjaxGetData() {
  var prefBefore = Drupal.ajax.prototype.beforeSerialize;
  Drupal.ajax.prototype.beforeSerialize = function () {};

  new Drupal.ajax(null, '', {
    url: '/ajax/jivosite-set-data',
  }).eventResponse(false, {});

  Drupal.ajax.prototype.beforeSerialize = prefBefore;
}

var jivositeChatActive = false;

function jivo_onOpen() {
  jivositeChatActive = true;
  jivositeAjaxGetData();
}

function jivo_onClose(){
  jivositeChatActive = false;
}
